PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerASCIIPrintf

Prints to a file, only from the first processor in the PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPrintf(PetscViewer viewer,const char format[],...)

Not Collective, but only first processor in set has any effect

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen()
| format | - the usual printf() format string

### Fortran Note

The call sequence is PetscViewerASCIIPrintf(PetscViewer, character(*), int ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIOpen(),
PetscViewerASCIIPushTab(), PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer(), PetscViewerASCIIPushSynchronized()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/sys/classes/viewer/tutorials/ex1.c.html
src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex1f.F90.html
src/mat/tutorials/ex10.c.html
src/dm/label/tutorials/ex1.c.html
src/dm/label/tutorials/ex1f90.F90.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex68.c.html
src/ksp/ksp/tutorials/ex69.c.html
src/snes/tutorials/ex6.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages